
Figure - Bug #112291
测试 Test-IT # 110867 (New): V1.0测试功能汇总

测试 Test-IT # 110892 (New): AF-V1.0功能测试-WIFI

【AF】【EVT】【WIFI】添加网络后点击保存会闪退回主页面
2022-09-29 18:42 - CD TEST-方永红

Status: CLOSED Start date: 2022-09-29

Priority: Urgent Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V2.0_20220930

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.R.user.0.0.0.20220929.alpha_0025

Resolution: FIXED Degrated: No

Severity: Critical Verified Version: FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20220930.alpha

Reproducibility: Every time Fixed Version: 2022-09-30

Test Type: IT Root cause: 由于Settings改为两列,只使用了一个Activity,原生页面是另一个Activity,在保存时会关闭当前activity,所以导致Settings关闭

Description

【前提条件】

1、设备已开机

【测试步骤】

1、打开WiFi

2、添加网络后点击保存

【预期结果】

2、成功连接热点

【实际结果】

2、点击保存会闪退回主页面

【复现率】

必现

History

#1 - 2022-09-29 19:00 - CD FW-王伟

- Assignee changed from CD FW-王伟 to CD AF-陈羽杰

#2 - 2022-09-30 09:55 - CD FW-程天颖

- Status changed from New to RESOLVED

- Assignee changed from CD AF-陈羽杰 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2022-09-30

- Root cause set to 由于Settings改为两列,只使用了一个Activity,原生页面是另一个Activity,在保存时会关闭当前activity,所以导致Settings关闭

■ Current conclusion

bug已解决,代码已入库

■ My analysis

由于Settings改为两列,只使用了一个Activity,原生页面是另一个Activity,在保存时会关闭当前activity,所以导致Settings关闭
■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/153114

#3 - 2022-09-30 10:09 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20220930.alpha

#4 - 2022-09-30 10:09 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#5 - 2022-12-22 20:40 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

153114 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

caoqg0702@thundersoft.com

AF:Settings: Fix auto-quit when adding networkFix auto-quit when adding networkTC-RID: 1201-0201801IssueID: TS-R-BUG-112291Change-Id:

I77a5671736e0ee5aa4871b5d3e93e0c3ea521530

Files

Phone-5221FC0 2022-09-29 17-44-58.mp4 11.1 MB 2022-09-29 CD TEST-方永红

添加网络.txt 6.26 MB 2022-09-29 CD TEST-方永红
